## yatm 0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(YATM CXX)
set(YATM_MAJOR_VERSION 0)
set(YATM_MINOR_VERSION 8)
set(YATM_VERSION ${YATM_MAJOR_VERSION}.${YATM_MINOR_VERSION})
find_package(PkgConfig REQUIRED)
pkg_search_module(AO REQUIRED ao)
pkg_search_module(MAD REQUIRED mad)
pkg_search_module(OGG REQUIRED ogg)
pkg_search_module(SLANG REQUIRED slang)
pkg_search_module(SNDFILE REQUIRED sndfile>=1.0.18)
pkg_search_module(SOUNDTOUCH REQUIRED soundtouch)
pkg_search_module(SPEEX REQUIRED speex)
include_directories(${AO_INCLUDE_DIRS})
include_directories(${MAD_INCLUDE_DIRS})
include_directories(${OGG_INCLUDE_DIRS})
include_directories(${SLANG_INCLUDE_DIRS})
include_directories(${SNDFILE_INCLUDE_DIRS})
include_directories(${SOUNDTOUCH_INCLUDE_DIRS})
include_directories(${SPEEX_INCLUDE_DIRS})
configure_file("${PROJECT_SOURCE_DIR}/config.h.in" "${PROJECT_BINARY_DIR}/config.h")
include_directories("${PROJECT_BINARY_DIR}")
add_executable(yatm yatm.cc)
target_link_libraries(yatm ${AO_LIBRARIES} ${MAD_LIBRARIES} ${OGG_LIBRARIES}
                           ${SLANG_LIBRARIES} ${SNDFILE_LIBRARIES}
                           ${SOUNDTOUCH_LIBRARIES} ${SPEEX_LIBRARIES})
install(TARGETS yatm DESTINATION bin)
install(FILES yatm.1 DESTINATION share/man/man1)

=== debian/changelog ===
yatm (0.9-5) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 0.6-1.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 13:21:08 +0100

yatm (0.9-4) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Added pkg-config in Build-Depends field to fix FTBFS.
        (Closes: #1020166)
      - Bumped Standards-Version to 4.6.1.
  * debian/copyright: updated years in packaging block.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Wed, 28 Sep 2022 20:20:14 -0300

yatm (0.9-3) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added Rules-Requires-Root: no.
      - Added Vcs-Browser field to source stanza.
      - Build-Depends field organized alphabetically.
      - Bumped Standards-Version to 4.6.0.
      - Updated Vcs-Git field to Salsa repository.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all data.
  * debian/gbp.conf: removed, not needed.
  * debian/patches/010_fix-spelling-error.patch: added.
  * debian/rules: added DEB_BUILD_MAINT_OPTIONS variable to improve GCC
    hardening.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/upstream/metadata: created.
  * debian/watch: fixed.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Fri, 22 Oct 2021 15:48:16 -0300

yatm (0.9-2) unstable; urgency=medium

  * QA upload.
  * Add a Homepage field.
  * Add a watch file.
  * Bump DH level to 10.
  * Bump Standards-Version to 3.9.8.
  * Set Debian QA Group as maintainer. (see #840875)

 -- Allan Dixon Jr. <allandixonjr@gmail.com>  Fri, 28 Oct 2016 07:32:35 -0500

yatm (0.9-1) unstable; urgency=low

  * New release which fixes a libSoundTouch incompatibility
    (Closes: Bug#793122).

 -- Mario Lang <mlang@debian.org>  Tue, 21 Jul 2015 16:53:33 +0200

yatm (0.8-2) unstable; urgency=low

  * Build-Depend on libsoundtouch-dev, instead of libsoundtouch0-dev
    (Closes: Bug#793071).
  * Use source format "3.0 (quilt)".
  * Use debhelper 9.
  * Update Standards-Version to 3.9.6.

 -- Mario Lang <mlang@debian.org>  Tue, 21 Jul 2015 11:45:06 +0200

yatm (0.8-1) unstable; urgency=low

  * New upstream release (Closes: Bug#611530, Bug#697947, Bug#704894).
  * Replace cdbs with debhelper.

 -- Mario Lang <mlang@debian.org>  Mon, 16 Sep 2013 18:48:44 +0200

yatm (0.6-1) unstable; urgency=low

  * Initial Release.

 -- Mario Lang <mlang@debian.org>  Sun, 25 Nov 2007 21:40:59 +0200

=== debian/control ===
Source: yatm
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libao-dev,
               libmad0-dev,
               libsndfile1-dev,
               libsoundtouch-dev,
               libslang2-dev,
               libspeex-dev,
               pkg-config
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/mlang/yatm
Vcs-Browser: https://salsa.debian.org/debian/yatm
Vcs-Git: https://salsa.debian.org/debian/yatm.git

Package: yatm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Command line audio file player with time stretching capabilities
 Yatm (Yet Another Time Machine) is a very simple command line audio player.
 Its main purpose is to play audio files at a different tempo while retaining
 the original sounds pitch.  This is very useful for listening to audiobooks
 at a slightly higher speed than they were originally recorded with.  It can
 also be helpful when listening to musical passages at a slower speed to
 be able to distinguish the different notes more easily.
 .
 Changing the pitch while keeping the tempo is also supported.  Musical
 cents and semitones can be used to specify pitch change.  This makes it
 easy to use for musicians.  The notes you have are in G but the recording
 you'd like to play along with is in F?  No problem, transpose the recording
 up two semitones.  You'd like to play along with this baroque recording
 that uses original pitch?  Just tune the music up about 80 cents and you
 should be fine.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%yatm-$1.tar.gz%" \
    https://github.com/mlang/yatm/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
